com.smartgwt.client.util.workflow

## Class GridRemoveSelectedDataTask

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.util.workflow.ProcessElement
    - - com.smartgwt.client.util.workflow.ComponentTask
      - - com.smartgwt.client.util.workflow.GridRemoveSelectedDataTask

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class GridRemoveSelectedDataTask
      extends ComponentTask

  Remove data that is selected in a grid.
  See Also:
    `ListGrid.removeSelectedData()`

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridRemoveSelectedDataTask()`
    `GridRemoveSelectedDataTask(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `java.lang.String` | `getFailureElement()` ID of the next sequence or element to proceed to if a failure condition arises from operation.
    `static GridRemoveSelectedDataTask` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `GridRemoveSelectedDataTask` | `setFailureElement(java.lang.String failureElement)` ID of the next sequence or element to proceed to if a failure condition arises from operation.

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ComponentTask

      `getComponentBaseClass, getComponentBaseClassAsStringArray, getComponentId, getComponentRequiresDataSource, setComponentBaseClass, setComponentBaseClass, setComponentId, setComponentRequiresDataSource`

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

      `convertToJavaScriptArray, getClassDescription, getDescription, getEditorType, getElementDescription, getID, getJsObj, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getTitle, isCreated, onInit, setAttribute, setClassDescription, setDescription, setEditorType, setID, setJavaScriptObject, setNextElement, setPassThruOutput, setTitle`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GridRemoveSelectedDataTask

          public GridRemoveSelectedDataTask()

    - #### GridRemoveSelectedDataTask

          public GridRemoveSelectedDataTask(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static GridRemoveSelectedDataTask getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `ComponentTask`

    - #### setFailureElement

          public GridRemoveSelectedDataTask setFailureElement(java.lang.String failureElement)
                                                       throws java.lang.IllegalStateException

      ID of the next sequence or element to proceed to if a failure condition arises from operation.
      Parameters:
        `failureElement` - New failureElement value. Default value is null
      Returns:
        `GridRemoveSelectedDataTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getFailureElement

          public java.lang.String getFailureElement()

      ID of the next sequence or element to proceed to if a failure condition arises from operation.
      Returns:
        Current failureElement value. Default value is null